Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 05/05/26 in Posts

  1. How can I tell if Emby needs to be restarted if the emby.p12 file has been updated? The only thing I can think of is to leave Emby and the NAS running until the old certificate expires. Since that would take about a month, it's probably not feasible, as I either update the NAS firmware in the meantime, if an update is available, or Emby automatically restarts during an unused moment when a plugin is updated. How would I be able to see this in Emby, or compare the before and after? No, it was updated by the script that I was supposed to undo. I'll wait until the end of the month to see if the script works as intended. In any case, thank you very much for your expert support. If it works, I can try extending it via chatGPT, as you suggested... Thank you so much!
    1 point
  2. I saved the script as CertRenew.sh: #!/bin/sh now="$(date)" # Password for exported PFX PFX_PASSWORD="my password" # Output file PFX_FILE="/share/SSL-Certificate/emby.p12" # Log file PFX_Log="/share/SSL-Certificate/check-p12.log" # Search filesystem for latest QNAP cert file CRT_FILE=$(find /mnt -type f -name "cert" 2>/dev/null \ | while read -r file; do stat -c "%Y %n" "$file" done \ | sort -nr \ | head -n 1 \ | cut -d' ' -f2-) if [ -z "$CRT_FILE" ]; then echo "$now - No certificate file found." >> $PFX_Log exit 1 fi CERT_DIR=$(dirname "$CRT_FILE") KEY_FILE="$CERT_DIR/key" echo "CERT_DIR: $CERT_DIR" >> $PFX_Log echo "CRT_FILE: $CRT_FILE" >> $PFX_Log echo "KEY_FILE: $KEY_FILE" >> $PFX_Log if [ ! -f "$KEY_FILE" ]; then echo "$now - Private key not found: $KEY_FILE" >> $PFX_Log exit 1 fi if ! find "$CRT_FILE" -mtime -1 | grep -q .; then echo "$now - Certificate key has not changed" >>$PFX_Log else echo "$now - Using certificate directory: $CERT_DIR" >> $PFX_Log echo "$now - Certificate: $CRT_FILE" >> $PFX_Log echo "$now - Private Key: $KEY_FILE" >> $PFX_Log # Build the OpenSSL command OPENSSL_CMD="openssl pkcs12 -export \ -out \"$PFX_FILE\" \ -inkey \"$KEY_FILE\" \ -in \"$CRT_FILE\" \ -passout pass:$PFX_PASSWORD" # rename existing pfx file mv -f $PFX_FILE $PFX_FILE.old 2>/dev/null # Execute eval "$OPENSSL_CMD" if [ $? -eq 0 ]; then echo "$now - PFX successfully created: $PFX_FILE" >> $PFX_Log else echo "$now - PFX creation failed." >> $PFX_Log exit 1 fi fi
    1 point
  3. just an another update00% alls running fine no loss of libary or files. everything seems to be 100% thanks again for the advice
    1 point
  4. https://github.com/MediaBrowser/Emby.Releases/releases
    1 point
  5. Thanks for the reply. First link has nothing to do with Yamaha. Second and third links do not describe the same problem. I want bitstreaming for Atmos decoding so keen to figure out why this is happening. My first suspect is the video card as I did not notice any issues with the 4060ti that I used to have installed. However, after tinkering for a while I'm thinking that the GPU is simply more sensitive to memory timings and out-of-spec UCLK than the Geforce card. I'm testing new memory settings at the moment after discovering DRAM calculator. I don't think it has anything to do with my Yamaha AVR, I never had issues when my main PC was plugged into it (4090) over a 30 meter fiberoptic HDMI cable, which have a reputation for being temperamental.
    1 point
  6. Thanks champ! that worked! Thank-you!
    1 point
  7. @LukeThe Roku should handle this with the update but we should probably still look into why these guys are getting 500s on the prefix call. The other apps may just be swallowing this error.
    1 point
  8. Sounds like the biggest blocker for SSO/OAuth is that it needs to work on so many systems. For systems that don't have password managers/passkeys, etc., why not display a QR code for mobile sign in?
    1 point
  9. I'd say just use the web browser. Browsers have come so far in regards to their ability to play back media it's ridiculous. You really no longer need a dedicated app if you're using Chromium based browsers as they will handle MKV files perfectly fine pretty much regardless of the contents.
    0 points
×
×
  • Create New...